/**
*	Passes the vertex's modelview position to
*	the fragment shader, and positions the vertex
*	according to the projection matrix. Sets the
*	gl_TexCoord interpolate to the first texture unit.
*/

varying vec4 position;	// OUT - position of vertex

void main( void ) 
{ 
   position = gl_ModelViewMatrix * gl_Vertex; 
   gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex; 
   gl_TexCoord[0] = gl_MultiTexCoord0; 
}